Bug 159082 - [PATCH] devel/libburn: update to 1.1.0
Summary: [PATCH] devel/libburn: update to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-21 12:30 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2011-07-28 07:50 UTC (History)
1 user (show)

See Also:


Attachments
libburn-1.1.0.patch (1.40 KB, patch)
2011-07-21 12:30 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-21 12:30:10 UTC
- Update to 1.1.0 (1.1.0.pl01)

Port maintainer (shuvaev@physik.uni-wuerzburg.de) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-07-21 12:30:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-07-21 12:30:27 UTC
Maintainer of devel/libburn,

Please note that PR ports/159082 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159082

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-07-21 12:30:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Alexey Shuvaev 2011-07-21 12:45:41 UTC
On Thu, Jul 21, 2011 at 11:30:27AM +0000, Edwin Groothuis wrote:
> Maintainer of devel/libburn,
> 
> Please note that PR ports/159082 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159082
> 
Yes, I wanted to do it, but ENOTIME has occured.

If you are at this group of ports, can you please also look at updating
sysutils/xorriso (actually libisoburn from libburnia project)?

sysutils/xfburn does not need to be updated, but it is worth checking
if it still works.

Apart from these notes, consider this as "maintainer approval".

Thanks a lot,
Alexey.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-22 03:34:36 UTC
On Thu, Jul 21, 2011 at 01:45:41PM +0200, Alexey Shuvaev wrote:
> Yes, I wanted to do it, but ENOTIME has occured.
> 
> If you are at this group of ports, can you please also look at updating
> sysutils/xorriso (actually libisoburn from libburnia project)?
> 
> sysutils/xfburn does not need to be updated, but it is worth checking
> if it still works.
> 
> Apart from these notes, consider this as "maintainer approval".
> 
> Thanks a lot,
> Alexey.

Hi Alexey,

Thanks for your reminder. I've sent another PR of sysutils/xorriso update.
sysutils/xfburn builds OK with libburn 1.1.0, libisofs 1.1.2 and xorriso 1.1.2.
Thanks.

Regards,
-- 
   Sunpoet Po-Chuan Hsieh <sunpoet at sunpoet.net> <sunpoet at FreeBSD.org>
           4096R/CC57E36B 8AD8 68F2 7D2B 0A10 7E9B 8CC0 DC44 247E CC57 E36B
                             http://people.FreeBSD.org/~sunpoet/pgpkeys.txt
Comment 6 Alexey Shuvaev 2011-07-25 16:47:55 UTC
On Fri, Jul 22, 2011 at 10:34:36AM +0800, Sunpoet Po-Chuan Hsieh wrote:
> 
> Hi Alexey,
> 
> Thanks for your reminder. I've sent another PR of sysutils/xorriso update.
> sysutils/xfburn builds OK with libburn 1.1.0, libisofs 1.1.2 and
> xorriso 1.1.2.
> Thanks.
> 
Ok, I have looked at this collective update and I have some little questions.
Regarding devel/libburn, I have installed it with these lines in Makefile
commented out:

#post-patch:
#	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|' ${WRKSRC}/configure

I know that correct way to link with libpthread is -pthread, not -lpthread,
but the combination libburn+libisofs+xorriso is still working fine.
If it is really important, devel/libisofs should contain the same
post-patch too.

Thanks,
Alexey.
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-28 07:41:28 UTC
On Mon, Jul 25, 2011 at 05:47:55PM +0200, Alexey Shuvaev wrote:
> On Fri, Jul 22, 2011 at 10:34:36AM +0800, Sunpoet Po-Chuan Hsieh wrote:
> > 
> > Hi Alexey,
> > 
> > Thanks for your reminder. I've sent another PR of sysutils/xorriso update.
> > sysutils/xfburn builds OK with libburn 1.1.0, libisofs 1.1.2 and
> > xorriso 1.1.2.
> > Thanks.
> > 
> Ok, I have looked at this collective update and I have some little questions.
> Regarding devel/libburn, I have installed it with these lines in Makefile
> commented out:
> 
> #post-patch:
> #	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|' ${WRKSRC}/configure
> 
> I know that correct way to link with libpthread is -pthread, not -lpthread,
> but the combination libburn+libisofs+xorriso is still working fine.
> If it is really important, devel/libisofs should contain the same
> post-patch too.
> 
> Thanks,
> Alexey.

Hi Alexey,

I've added the patch to both libisofs and xorriso.

Regards,
-- 
   Sunpoet Po-Chuan Hsieh <sunpoet at sunpoet.net> <sunpoet at FreeBSD.org>
           4096R/CC57E36B 8AD8 68F2 7D2B 0A10 7E9B 8CC0 DC44 247E CC57 E36B
                             http://people.FreeBSD.org/~sunpoet/pgpkeys.txt
Comment 8 dfilter service freebsd_committer 2011-07-28 07:43:33 UTC
sunpoet     2011-07-28 06:43:18 UTC

  FreeBSD ports repository

  Modified files:
    devel/libburn        Makefile distinfo 
  Log:
  - Update to 1.1.0
  
  Changes:        http://libburnia-project.org/browser/libburn/tags/1.1.0.pl01/ChangeLog
  PR:             ports/159082
  Submitted by:   sunpoet (myself)
  Approved by:    Alexey Shuvaev <shuvaev@physik.uni-wuerzburg.de> (maintainer)
  
  Revision  Changes    Path
  1.7       +7 -3      ports/devel/libburn/Makefile
  1.5       +2 -2      ports/devel/libburn/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-07-28 07:43:37 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!